Subject: [tsvwg] draft-stewart-tsvwg-sctpecn-03

From: "Scheffenegger, Richard" <[email-masked]>
Date: Sat, 10 Nov 2012 00:49:42 +0000

Hi Randall,

actually, I had read a previous version of this draft some time ago.

A few nits:

As a matter of personal taste, I would format the three list items in section 3 with a larger indentation, or with a empty line (so that the text starts from left in the very next line, ie. a <vspace/>. In particular the single space after CE makes that look almost like a regular paragraph.

In section 4.3, perhaps the "o" Bit is better notified using a different symbol ("R" would lend itself), to stand out more clearly after all these zeros ("0") in the flag field...

The following I mentioned earlier, you may remember. Perhaps you want to be more pedantic (or just cater for me) in saying that the CE counter will flow over from 0xffffffff to 0, instead of staying at the maximum. The background here is to make the receiver behavior unambiguous when the sender chooses to never send the CWR chunk. (My argument is around this being a counter, or a gauge that gets reset by CWR, architecturally). Also, a simple, overflowing counter is easier to implement than a  gauge that stays at the maximum, but with TCP in mind (ECE basically a 1-bit gauge, that needs to be reset by CWR) this should be clarified.

With or without these changes, I support that draft to get adopted...

While I'm at this, I found that draft-stewart-tsvwg-sctp-nonce has expired...

During this IETF there was some (brief) mentioning of using ECT1 to denote "high-density marking" AQM - which was mentioned only as an idea at the microphone.

A light weight "sctp-nonce" draft to define chunks returning counters for ECT(0) and ECT(1) similar to the CE counter above (but without CWR clearing those) may be needed to support such an idea. But it's probably too early to think about this for SCTP yet... 

Best regards,

Richard Scheffenegger